Subject: CONTENT still can't select records from rootpage
Description

The Problem described in #20412 still exists.
"If you use the "CONTENT" TypoScript object, to retrieve records from the root-page - like "static_countries", etc. This is currently not
possible." 
The following code will return nothing since checkPidArray() checks for existing pages and removes 0 from pidInList

10 = CONTENT
10 {
    table = static_countries
    select {
        pidInList = 0
        selectFields = uid, cn_iso_3, cn_official_name_en
    }
    renderObj= TEXT
    renderObj {
        wrap = <li>|</li>
        field = cn_official_name_en
    }
}

Obviously there as been a Fix for this Problem which has been reverted in SVN Trunk (rev. 6146) see 
http://forge.typo3.org/issues/19762#note-3

Related issues:
related to Core - Bug # 19762: Traversing back page records used in CONTENT o... Closed 2009-01-03
related to Core - Bug # 20412: CONTENT can't select records from rootpage Closed 2009-05-09
related to Core - Bug # 32374: MENU special = updated not working in 4.6 Closed 2011-12-07
related to Core - Task # 57168: Enable queries using "root" and "-1" for pidI... Resolved 2014-03-21
duplicated by Core - Bug # 32212: select.pidInList = 0 won't select records w... Resolved 2011-11-30
duplicated by Core - Bug # 33220: Empty content object when select.pidInList=... Closed 2012-01-16

History
#1 - 2011-11-06 13:21 - Myroslav Holyak

It seems to be resolved in current trunk. Hopefully it will be released in 4.6.1

#2 - 2011-11-06 20:51 - Joh. Feustel
Hi Myroslav,
could you point me to the corresponding issue or patch in gerrt? i would like to review and test this but cannot find anything while it still is not working
for me with latest checkout.

#3 - 2011-11-24 15:26 - Andreas Bouche
- Target version set to 4.6.2

Unfortunately this has not been fixed with the release of 4.6.1.
In my opinion this should be a "must have". There are definitely a lot of Extensions that rely on this Feature. Also this is the common way for building
language or country selects in Formhandler or Form. This ist not possible at the moment and should be fixed as soon as possible.

I will try to submit a patchset for this soon.

#4 - 2011-12-03 00:16 - Myroslav Holyak

Well, i'll better stay on 4.5.latest till this issue will be fixed... Just curious - shouldn't be such core-functionality covered with unit tests to avoid such
errors?

#5 - 2011-12-16 15:02 - Soeren Kracker
- Target version changed from 4.6.2 to 4.6.3

It's still not fixed in 4.6.2.
The linked fix wouldn't give attention to other tables than pages anyway. In my case I need to set pidInList = 0 and table = static_countries

#6 - 2012-01-17 11:58 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7826

#7 - 2012-01-23 22:04 - Ernesto Baschny

Meanwhile, the solution for #32374 was merged in http://review.typo3.org/7839 (4.6) and http://review.typo3.org/7739 (4.7 = master).

Please check if this solves your particular problem, if it does, we might add a "duplicate" tag to this and close it.

Thanks!

#8 - 2012-01-24 11:39 - Markus Klein

Hi Ernesto,

as you can see in Gerrit, I've already abandoned my changeset.
Feel free to close this issue or mark it as resolved.
I've added #32374 as related, since the titles of the issues do not really sound like "duplicates".

Cheers

#9 - 2012-01-24 14:55 - Ernesto Baschny
- Category set to TypoScript
- Status changed from Under Review to Resolved
- Target version changed from 4.6.3 to 4.6.4

Resolved with the same fix already merged in #32374.

#10 - 2012-02-07 08:20 - Xavier Perseguers
- Status changed from Resolved to Closed
